/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.tools.db.support.ant;

import com.liferay.portal.tools.db.support.DBSupportArgs;

import java.io.File;
import java.io.IOException;

import org.apache.tools.ant.Task;

/**
 * @author Andrea Di Giorgi
 */
public abstract class BaseTask extends Task {

	public void setPassword(String password) {
		dbSupportArgs.setPassword(password);
	}

	public void setPropertiesFile(File propertiesFile) throws IOException {
		dbSupportArgs.setPropertiesFile(propertiesFile);
	}

	public void setUrl(String url) {
		dbSupportArgs.setUrl(url);
	}

	public void setUserName(String userName) {
		dbSupportArgs.setUserName(userName);
	}

	protected final DBSupportArgs dbSupportArgs = new DBSupportArgs();

}